Login
Newsletter
Werbung

Sicherheit: Ausführen beliebiger Kommandos in gettext-runtime
Aktuelle Meldungen Distributionen
Name: Ausführen beliebiger Kommandos in gettext-runtime
ID: SUSE-SU-2020:2296-1
Distribution: SUSE
Plattformen: SUSE Linux Enterprise Module for Basesystem 15-SP1, SUSE Linux Enterprise Module for Basesystem 15-SP2
Datum: Mo, 24. August 2020, 23:01
Referenzen: https://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2018-18751
Applikationen: gettext

Originalnachricht


SUSE Security Update: Security update for gettext-runtime
______________________________________________________________________________

Announcement ID: SUSE-SU-2020:2296-1
Rating: moderate
References: #1106843 #1113719 #941629
Cross-References: CVE-2018-18751
Affected Products:
SUSE Linux Enterprise Module for Basesystem 15-SP2
SUSE Linux Enterprise Module for Basesystem 15-SP1
______________________________________________________________________________

An update that solves one vulnerability and has two fixes
is now available.

Description:

This update for gettext-runtime fixes the following issues:

- Fix boo941629-unnessary-rpath-on-standard-path.patch (bsc#941629)
- Added msgfmt-double-free.patch to fix a double free error
(CVE-2018-18751 bsc#1113719)
- Add patch msgfmt-reset-msg-length-after-remove.patch which does reset
the length of message string after a line has been removed (bsc#1106843)


Patch Instructions:

To install this SUSE Security Update use the SUSE recommended installation
methods
like YaST online_update or "zypper patch".

Alternatively you can run the command listed for your product:

- SUSE Linux Enterprise Module for Basesystem 15-SP2:

zypper in -t patch SUSE-SLE-Module-Basesystem-15-SP2-2020-2296=1

- SUSE Linux Enterprise Module for Basesystem 15-SP1:

zypper in -t patch SUSE-SLE-Module-Basesystem-15-SP1-2020-2296=1



Package List:

- SUSE Linux Enterprise Module for Basesystem 15-SP2 (aarch64 ppc64le s390x
x86_64):

gettext-runtime-0.19.8.1-4.8.1
gettext-runtime-debuginfo-0.19.8.1-4.8.1
gettext-runtime-debugsource-0.19.8.1-4.8.1
gettext-tools-0.19.8.1-4.8.1
gettext-tools-debuginfo-0.19.8.1-4.8.1

- SUSE Linux Enterprise Module for Basesystem 15-SP2 (x86_64):

gettext-runtime-32bit-0.19.8.1-4.8.1
gettext-runtime-32bit-debuginfo-0.19.8.1-4.8.1

- SUSE Linux Enterprise Module for Basesystem 15-SP1 (aarch64 ppc64le s390x
x86_64):

gettext-runtime-0.19.8.1-4.8.1
gettext-runtime-debuginfo-0.19.8.1-4.8.1
gettext-runtime-debugsource-0.19.8.1-4.8.1
gettext-tools-0.19.8.1-4.8.1
gettext-tools-debuginfo-0.19.8.1-4.8.1

- SUSE Linux Enterprise Module for Basesystem 15-SP1 (x86_64):

gettext-runtime-32bit-0.19.8.1-4.8.1
gettext-runtime-32bit-debuginfo-0.19.8.1-4.8.1


References:

https://www.suse.com/security/cve/CVE-2018-18751.html
https://bugzilla.suse.com/1106843
https://bugzilla.suse.com/1113719
https://bugzilla.suse.com/941629

_______________________________________________
sle-security-updates mailing list
sle-security-updates@lists.suse.com
http://lists.suse.com/mailman/listinfo/sle-security-updates
Pro-Linux
Pro-Linux @Facebook
Neue Nachrichten
Werbung